\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{sdgpres}[2010/04/29 v0.1 Steven Gordon Presentation Format]
% Developed by Steven Gordon
% $Revision: 266 $
% $Date: 2011-05-03 11:43:38 +0700 (อ., 03 พ.ค. 2011) $
% $Author: sgordon $
% $URL: https://sandilands.info/svn/Common/Styles/sdgpres.cls $

\LoadClass[t]{beamer}

\RequirePackage{fancyhdr}
\RequirePackage{comment}
\RequirePackage{svn}
\RequirePackage{hyperref}
\RequirePackage{graphicx}
\RequirePackage{xstring}
\RequirePackage{listings}
\RequirePackage{sdgcommands}

% Document information
\newcommand{\doctitle}[1]{\def\@doctitle{#1}}
\newcommand{\doctitleabbrev}[1]{\def\@doctitleabbrev{#1}}
\newcommand{\docauthor}[1]{\def\@docauthor{#1}}
\newcommand{\docnumber}[1]{\def\@docnumber{#1}}
\newcommand{\doccategory}[1]{\def\@doccategory{#1}}
\newcommand{\docversion}[1]{\def\@docversion{#1}}
\newcommand{\docfile}[1]{\def\@docfile{#1}}
\newcommand{\docdate}[1]{\def\@docdate{#1}}
\newcommand{\docaffiliation}[1]{\def\@docaffiliation{#1}}

% Format listings 
\lstset{%
basicstyle=\footnotesize\ttfamily,
columns=flexible,
keepspaces=true,
}




